Package org.springframework.batch.item.database.support

# Interface DataFieldMaxValueIncrementerFactory

All Known Implementing Classes:
  `DefaultDataFieldMaxValueIncrementerFactory`

public interface DataFieldMaxValueIncrementerFactory
Factory for creating `DataFieldMaxValueIncrementer` implementations based upon a provided string.

Author:
  Lucas Ward

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.springframework.jdbc.support.incrementer.DataFieldMaxValueIncrementer`
  `getIncrementer(String databaseType, String incrementerName)`
  Return the `DataFieldMaxValueIncrementer` for the provided database type.
  `String[]`
  `getSupportedIncrementerTypes()`
  Returns the list of supported database incrementer types
  `boolean`
  `isSupportedIncrementerType(String databaseType)`
  Returns boolean indicated whether or not the provided string is supported by this factory.

- ## Method Details

  - ### getIncrementer

    org.springframework.jdbc.support.incrementer.DataFieldMaxValueIncrementer getIncrementer(String databaseType, String incrementerName)
    Return the `DataFieldMaxValueIncrementer` for the provided database type.
    Parameters:
      `databaseType` - string represented database type
      `incrementerName` - incrementer name to create. In many cases this may be the sequence name
    Returns:
      incrementer
    Throws:
      `IllegalArgumentException` - if databaseType is invalid type, or incrementerName is null.

  - ### isSupportedIncrementerType

    boolean isSupportedIncrementerType(String databaseType)
    Returns boolean indicated whether or not the provided string is supported by this factory.
    Parameters:
      `databaseType` - `String` containing the database type.
    Returns:
      true if the incrementerType is supported by this database type. Else false is returned.

  - ### getSupportedIncrementerTypes

    String[] getSupportedIncrementerTypes()
    Returns the list of supported database incrementer types
    Returns:
      an array of `String`s containing the supported incrementer types.